Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.code

# Class LookupSwitchBuilder.ValuePair

java.lang.Object
org.jboss.classfilewriter.code.LookupSwitchBuilder.ValuePair

All Implemented Interfaces:
  `Comparable<LookupSwitchBuilder.ValuePair>`

Enclosing class:
  `LookupSwitchBuilder`

public static class LookupSwitchBuilder.ValuePair extends Object implements Comparable<LookupSwitchBuilder.ValuePair>

## Constructor Summary

Constructors
Constructor
Description
`ValuePair(int value, AtomicReference<BranchEnd> branchEnd)`
`ValuePair(int value, CodeLocation location)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(LookupSwitchBuilder.ValuePair o)`
`AtomicReference<BranchEnd>`
`getBranchEnd()`
`CodeLocation`
`getLocation()`
`int`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValuePair

public ValuePair(int value, AtomicReference<BranchEnd> branchEnd)

### ValuePair

public ValuePair(int value, CodeLocation location)

## Method Details

### compareTo

public int compareTo(LookupSwitchBuilder.ValuePair o)

Specified by:
  `compareTo` in interface `Comparable<LookupSwitchBuilder.ValuePair>`

### getValue

public int getValue()

### getLocation

public CodeLocation getLocation()

### getBranchEnd

public AtomicReference<BranchEnd> getBranchEnd()